Package com.sun.jna.platform.win32

# Class Sspi.PSecHandle

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Sspi.PSecHandle

Direct Known Subclasses:
  `Sspi.PSecHandle.ByReference`

Enclosing interface:
  Sspi

@FieldOrder("secHandle") public static class Sspi.PSecHandle extends Structure
A pointer to a SecHandle

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Sspi.PSecHandle.ByReference`

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`Sspi.SecHandle.ByReference`
`secHandle`
The first entry in an array of SecPkgInfo structures.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`PSecHandle()`
`PSecHandle(Sspi.SecHandle h)`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### secHandle

public Sspi.SecHandle.ByReference secHandle
The first entry in an array of SecPkgInfo structures.

## Constructor Details

### PSecHandle

public PSecHandle()

### PSecHandle

public PSecHandle(Sspi.SecHandle h)